net.sf.jasperreports.engine.design

## Class JRDesignImage

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.design.JRDesignElement
    - - net.sf.jasperreports.engine.design.JRDesignGraphicElement
      - - net.sf.jasperreports.engine.design.JRDesignImage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRAlignment, JRAnchor, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRElement, JREvaluation, JRGraphicElement, JRHyperlink, JRIdentifiable, JRImage, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class JRDesignImage
      extends JRDesignGraphicElement
      implements JRImage

  The actual implementation of a graphic element representing an image, used at design time.
  Version:
    $Id: JRDesignImage.java 5912 2013-01-31 14:50:33Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `anchorNameExpression`
    `protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this image.
    `protected JRGroup` | `evaluationGroup`
    `protected EvaluationTimeEnum` | `evaluationTimeValue`
    `protected JRExpression` | `expression`
    `protected HorizontalAlignEnum` | `horizontalAlignmentValue`
    `protected JRExpression` | `hyperlinkAnchorExpression`
    `protected JRExpression` | `hyperlinkPageExpression`
    `protected JRExpression` | `hyperlinkReferenceExpression`
    `protected JRExpression` | `hyperlinkWhenExpression`
    `protected boolean` | `isLazy`
    `protected java.lang.Boolean` | `isUsingCache`
    `protected JRLineBox` | `lineBox`
    `protected java.lang.String` | `linkTarget`
    `protected java.lang.String` | `linkType`
    `protected OnErrorTypeEnum` | `onErrorTypeValue`
    `static java.lang.String` | `PROPERTY_ANCHOR_NAME_EXPRESSION`
    `static java.lang.String` | `PROPERTY_BOOKMARK_LEVEL`
    `static java.lang.String` | `PROPERTY_EVALUATION_GROUP`
    `static java.lang.String` | `PROPERTY_EVALUATION_TIME`
    `static java.lang.String` | `PROPERTY_EXPRESSION`
    `protected ScaleImageEnum` | `scaleImageValue`
    `protected VerticalAlignEnum` | `verticalAlignmentValue`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignGraphicElement

      `fillValue, linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `PROPERTY_ELEMENT_GROUP, PROPERTY_HEIGHT, PROPERTY_KEY, PROPERTY_PARENT_STYLE, PROPERTY_PARENT_STYLE_NAME_REFERENCE, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_PRINT_WHEN_GROUP_CHANGES, PROPERTY_PROPERTY_EXPRESSIONS, PROPERTY_Y`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRAnchor

      `NO_BOOKMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignImage(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkParameter(JRHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
    `int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
    `java.lang.Float` | `getDefaultLineWidth()`
    `JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this text field.
    `EvaluationTimeEnum` | `getEvaluationTimeValue()` Gets the evaluation time for this text field.
    `JRExpression` | `getExpression()`
    `HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
    `JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
    `JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
    `JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
    `java.util.List<JRHyperlinkParameter>` | `getHyperlinkParametersList()` Returns the list of custom hyperlink parameters.
    `JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
    `byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
    `JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
    `byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
    `HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
    `JRExpression` | `getHyperlinkWhenExpression()` Returns the expression that is evaluated in order to decide if the hyperlink should be displayed.
    `JRLineBox` | `getLineBox()`
    `java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
    `java.lang.String` | `getLinkType()` Returns the hyperlink type.
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.
    `OnErrorTypeEnum` | `getOnErrorTypeValue()` Indicates how the engine will treat a missing image.
    `HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
    `ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
    `VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
    `ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
    `java.lang.Boolean` | `getUsingCache()` Indicates if the engine is loading the current image from cache.
    `VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
    `boolean` | `isLazy()` Indicates if the images will be loaded lazily or not.
    `java.lang.Boolean` | `isOwnUsingCache()` Deprecated. Replaced by `getUsingCache()`.
    `boolean` | `isUsingCache()` Deprecated. Replaced by `getUsingCache()`.
    `void` | `removeHyperlinkParameter(JRHyperlinkParameter parameter)` Removes a custom hyperlink parameter.
    `void` | `removeHyperlinkParameter(java.lang.String parameterName)` Removes a custom hyperlink parameter.
    `void` | `setAnchorNameExpression(JRExpression anchorNameExpression)`
    `void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor associated with this image.
    `void` | `setEvaluationGroup(JRGroup evaluationGroup)`
    `void` | `setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)` Sets the evaluation time for this image.
    `void` | `setExpression(JRExpression expression)`
    `void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)` Sets the text horizontal alignment.
    `void` | `setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)`
    `void` | `setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)`
    `void` | `setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)`
    `void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
    `void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
    `void` | `setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)` Sets the expression which will be used to generate the hyperlink tooltip.
    `void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
    `void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
    `void` | `setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)`
    `void` | `setLazy(boolean isLazy)` Gives control over when the images are retrieved from their specified location.
    `void` | `setLinkTarget(java.lang.String target)` Sets the hyperlink target name.
    `void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.
    `void` | `setOnErrorType(OnErrorTypeEnum onErrorTypeValue)` Specifies how the engine should treat a missing image.
    `void` | `setScaleImage(ScaleImageEnum scaleImageValue)` Sets the image scale type.
    `void` | `setUsingCache(boolean isUsingCache)` Specifies if the engine should be loading the current image from cache.
    `void` | `setUsingCache(java.lang.Boolean isUsingCache)` Specifies if the engine should be loading the current image from cache.
    `void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)` Gets the text vertical alignment.
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignGraphicElement

      `getDefaultLineColor, getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `addPropertyExpression, getPropertyExpressions, getPropertyExpressionsList, removePropertyExpression, removePropertyExpression, setElementGroup, setHeight, setKey, setPrintWhenExpression, setPrintWhenGroupChanges, setStyle, setStyleNameReference, setUUID, setY`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

- - ### Field Detail

    - #### PROPERTY_ANCHOR_NAME_EXPRESSION

          public static final java.lang.String PROPERTY_ANCHOR_NAME_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_BOOKMARK_LEVEL

          public static final java.lang.String PROPERTY_BOOKMARK_LEVEL

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_GROUP

          public static final java.lang.String PROPERTY_EVALUATION_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_EVALUATION_TIME

          public static final java.lang.String PROPERTY_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION

          public static final java.lang.String PROPERTY_EXPRESSION

      See Also:
        Constant Field Values

    - #### scaleImageValue

          protected ScaleImageEnum scaleImageValue

    - #### horizontalAlignmentValue

          protected HorizontalAlignEnum horizontalAlignmentValue

    - #### verticalAlignmentValue

          protected VerticalAlignEnum verticalAlignmentValue

    - #### isUsingCache

          protected java.lang.Boolean isUsingCache

    - #### isLazy

          protected boolean isLazy

    - #### onErrorTypeValue

          protected OnErrorTypeEnum onErrorTypeValue

    - #### evaluationTimeValue

          protected EvaluationTimeEnum evaluationTimeValue

    - #### linkType

          protected java.lang.String linkType

    - #### linkTarget

          protected java.lang.String linkTarget

    - #### lineBox

          protected JRLineBox lineBox

    - #### evaluationGroup

          protected JRGroup evaluationGroup

    - #### expression

          protected JRExpression expression

    - #### anchorNameExpression

          protected JRExpression anchorNameExpression

    - #### hyperlinkReferenceExpression

          protected JRExpression hyperlinkReferenceExpression

    - #### hyperlinkWhenExpression

          protected JRExpression hyperlinkWhenExpression

    - #### hyperlinkAnchorExpression

          protected JRExpression hyperlinkAnchorExpression

    - #### hyperlinkPageExpression

          protected JRExpression hyperlinkPageExpression

    - #### bookmarkLevel

          protected int bookmarkLevel

      The bookmark level for the anchor associated with this image.
      See Also:
        `JRAnchor.getBookmarkLevel()`

  - ### Constructor Detail

    - #### JRDesignImage

          public JRDesignImage(JRDefaultStyleProvider defaultStyleProvider)

  - ### Method Detail

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCommonElement`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRCommonElement`
      Overrides:
        `getModeValue` in class `JRBaseElement`

    - #### getScaleImageValue

          public ScaleImageEnum getScaleImageValue()

      Description copied from interface: `JRCommonImage`
      Gets the image scale type.
      Specified by:
        `getScaleImageValue` in interface `JRCommonImage`
      Returns:
        a value representing one of the scale type constants in `ScaleImageEnum`

    - #### getOwnScaleImageValue

          public ScaleImageEnum getOwnScaleImageValue()

      Description copied from interface: `JRCommonImage`
      Gets the image own scale type.
      Specified by:
        `getOwnScaleImageValue` in interface `JRCommonImage`
      Returns:
        a value representing one of the scale type constants in `ScaleImageEnum`

    - #### setScaleImage

          public void setScaleImage(ScaleImageEnum scaleImageValue)

      Description copied from interface: `JRCommonImage`
      Sets the image scale type.
      Specified by:
        `setScaleImage` in interface `JRCommonImage`
      Parameters:
        `scaleImageValue` - a value representing one of the scale type constants in `ScaleImageEnum`

    - #### getHorizontalAlignmentValue

          public HorizontalAlignEnum getHorizontalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text horizontal alignment.
      Specified by:
        `getHorizontalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getOwnHorizontalAlignmentValue

          public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

      Specified by:
        `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)

      Description copied from interface: `JRAlignment`
      Sets the text horizontal alignment.
      Specified by:
        `setHorizontalAlignment` in interface `JRAlignment`
      Parameters:
        `horizontalAlignmentValue` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getVerticalAlignmentValue

          public VerticalAlignEnum getVerticalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `getVerticalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getOwnVerticalAlignmentValue

          public VerticalAlignEnum getOwnVerticalAlignmentValue()

      Specified by:
        `getOwnVerticalAlignmentValue` in interface `JRAlignment`

    - #### setVerticalAlignment

          public void setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `setVerticalAlignment` in interface `JRAlignment`
      Parameters:
        `verticalAlignmentValue` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### isUsingCache

          public boolean isUsingCache()

      Deprecated. Replaced by `getUsingCache()`.
      Description copied from interface: `JRImage`
      Indicates if the engine is loading the current image from cache. Implementations of this method rely on default values that depend on the type of the image expression if a value was not explicitly set of this flag.
      Specified by:
        `isUsingCache` in interface `JRImage`
      Returns:
        true if the image should be loaded from cache, false otherwise

    - #### isOwnUsingCache

          public java.lang.Boolean isOwnUsingCache()

      Deprecated. Replaced by `getUsingCache()`.
      Specified by:
        `isOwnUsingCache` in interface `JRImage`

    - #### getUsingCache

          public java.lang.Boolean getUsingCache()

      Description copied from interface: `JRImage`
      Indicates if the engine is loading the current image from cache. Implementations of this method return the actual value for the internal flag that was explicitly set on this image element.
      Specified by:
        `getUsingCache` in interface `JRImage`
      Returns:
        Boolean.TRUE if the image should be loaded from cache, Boolean.FALSE otherwise or null in case the flag was never explicitly set on this image element

    - #### getEvaluationTimeValue

          public EvaluationTimeEnum getEvaluationTimeValue()

      Description copied from interface: `JREvaluation`
      Gets the evaluation time for this text field.
      Specified by:
        `getEvaluationTimeValue` in interface `JREvaluation`
      Returns:
        one of the evaluation time constants in `JRExpression`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getHyperlinkType

          public byte getHyperlinkType()

      Deprecated. Replaced by `getHyperlinkTypeValue()`.
      Specified by:
        `getHyperlinkType` in interface `JRHyperlink`

    - #### getHyperlinkTypeValue

          public HyperlinkTypeEnum getHyperlinkTypeValue()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink type for the element.

      The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

      Specified by:
        `getHyperlinkTypeValue` in interface `JRHyperlink`
      Returns:
        one of the hyperlink type constants
      See Also:
        `JRHyperlink.getLinkType()`

    - #### getHyperlinkTarget

          public byte getHyperlinkTarget()

      Description copied from interface: `JRHyperlink`
      Retrieves the hyperlink target for the element.

      The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HyperlinkTargetEnum.CUSTOM` is returned.

      Specified by:
        `getHyperlinkTarget` in interface `JRHyperlink`
      Returns:
        one of the hyperlink target constants
      See Also:
        `JRHyperlink.getLinkTarget()`

    - #### getEvaluationGroup

          public JRGroup getEvaluationGroup()

      Description copied from interface: `JREvaluation`
      Gets the evaluation group for this text field. Used only when evaluation time is group.
      Specified by:
        `getEvaluationGroup` in interface `JREvaluation`
      See Also:
        `EvaluationTimeEnum.GROUP`

    - #### getExpression

          public JRExpression getExpression()

      Specified by:
        `getExpression` in interface `JRImage`

    - #### getAnchorNameExpression

          public JRExpression getAnchorNameExpression()

      Description copied from interface: `JRAnchor`
      Returns an expression whose value represents the anchor name.
      Specified by:
        `getAnchorNameExpression` in interface `JRAnchor`

    - #### getHyperlinkReferenceExpression

          public JRExpression getHyperlinkReferenceExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor
      Specified by:
        `getHyperlinkReferenceExpression` in interface `JRHyperlink`

    - #### getHyperlinkWhenExpression

          public JRExpression getHyperlinkWhenExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression that is evaluated in order to decide if the hyperlink should be displayed. This expression always returns a boolean value.
      Specified by:
        `getHyperlinkWhenExpression` in interface `JRHyperlink`

    - #### getHyperlinkAnchorExpression

          public JRExpression getHyperlinkAnchorExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.
      Specified by:
        `getHyperlinkAnchorExpression` in interface `JRHyperlink`

    - #### getHyperlinkPageExpression

          public JRExpression getHyperlinkPageExpression()

      Description copied from interface: `JRHyperlink`
      Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.
      Specified by:
        `getHyperlinkPageExpression` in interface `JRHyperlink`

    - #### setUsingCache

          public void setUsingCache(boolean isUsingCache)

      Description copied from interface: `JRImage`
      Specifies if the engine should be loading the current image from cache. If set to true, the reporting engine will try to recognize previously loaded images using their specified source. For example, it will recognize an image if the image source is a file name that it has already loaded, or if it is the same URL.

      For image elements that have expressions returning `java.lang.String` objects as the image source, representing file names, URLs or classpath resources, the default value for this flag is true.

      Specified by:
        `setUsingCache` in interface `JRImage`

    - #### setUsingCache

          public void setUsingCache(java.lang.Boolean isUsingCache)

      Description copied from interface: `JRImage`
      Specifies if the engine should be loading the current image from cache. If set to Boolean.TRUE, the reporting engine will try to recognize previously loaded images using their specified source. For example, it will recognize an image if the image source is a file name that it has already loaded, or if it is the same URL.

      If set to null, the engine will rely on some default value which depends on the type of the image expression. The cache is turned on by default only for images that have `java.lang.String` objects in their expressions.

      Specified by:
        `setUsingCache` in interface `JRImage`

    - #### isLazy

          public boolean isLazy()

      Description copied from interface: `JRImage`
      Indicates if the images will be loaded lazily or not.
      Specified by:
        `isLazy` in interface `JRImage`

    - #### setLazy

          public void setLazy(boolean isLazy)

      Description copied from interface: `JRImage`
      Gives control over when the images are retrieved from their specified location. If set to true, the image is loaded from the specified location only when the document is viewed or exported to other formats. Otherwise it is loaded during the report filling process and stored in the resulting document.
      Specified by:
        `setLazy` in interface `JRImage`
      Parameters:
        `isLazy` - specifies whether

    - #### getOnErrorTypeValue

          public OnErrorTypeEnum getOnErrorTypeValue()

      Description copied from interface: `JRImage`
      Indicates how the engine will treat a missing image.
      Specified by:
        `getOnErrorTypeValue` in interface `JRImage`
      Returns:
        a value representing one of the missing image handling constants in `OnErrorTypeEnum`

    - #### setOnErrorType

          public void setOnErrorType(OnErrorTypeEnum onErrorTypeValue)

      Description copied from interface: `JRImage`
      Specifies how the engine should treat a missing image.
      Specified by:
        `setOnErrorType` in interface `JRImage`
      Parameters:
        `onErrorTypeValue` - a value representing one of the missing image handling constants in `OnErrorTypeEnum`

    - #### setEvaluationTime

          public void setEvaluationTime(EvaluationTimeEnum evaluationTimeValue)

      Sets the evaluation time for this image.

    - #### setHyperlinkType

          public void setHyperlinkType(byte hyperlinkType)

      Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

    - #### setHyperlinkType

          public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

      Sets the link type as a built-in hyperlink type.
      Parameters:
        `hyperlinkType` - the built-in hyperlink type
      See Also:
        `getLinkType()`

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(byte hyperlinkTarget)

      Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

    - #### setEvaluationGroup

          public void setEvaluationGroup(JRGroup evaluationGroup)

    - #### setExpression

          public void setExpression(JRExpression expression)

    - #### setAnchorNameExpression

          public void setAnchorNameExpression(JRExpression anchorNameExpression)

    - #### setHyperlinkReferenceExpression

          public void setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)

    - #### setHyperlinkWhenExpression

          public void setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)

    - #### setHyperlinkAnchorExpression

          public void setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)

    - #### setHyperlinkPageExpression

          public void setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### getBookmarkLevel

          public int getBookmarkLevel()

      Description copied from interface: `JRAnchor`
      Returns the level of the bookmark corresponding to the anchor.
      Specified by:
        `getBookmarkLevel` in interface `JRAnchor`
      Returns:
        the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

    - #### setBookmarkLevel

          public void setBookmarkLevel(int bookmarkLevel)

      Sets the boomark level for the anchor associated with this image.
      Parameters:
        `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`
      Overrides:
        `getDefaultLineWidth` in class `JRDesignGraphicElement`

    - #### getLinkType

          public java.lang.String getLinkType()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Specified by:
        `getLinkType` in interface `JRHyperlink`
      Returns:
        the hyperlink type

    - #### getLinkTarget

          public java.lang.String getLinkTarget()

      Description copied from interface: `JRHyperlink`
      Returns the hyperlink target name.

      The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Specified by:
        `getLinkTarget` in interface `JRHyperlink`
      Returns:
        the hyperlink target name

    - #### setLinkType

          public void setLinkType(java.lang.String type)

      Sets the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Parameters:
        `type` - the hyperlink type

    - #### setLinkTarget

          public void setLinkTarget(java.lang.String target)

      Sets the hyperlink target name.

      The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Parameters:
        `target` - the hyperlink target name

    - #### getHyperlinkParameters

          public JRHyperlinkParameter[] getHyperlinkParameters()

      Description copied from interface: `JRHyperlink`
      Returns the list of hyperlink parameters.

      The parameters can be used by custom hyperlink types to generate dynamic links.

      Specified by:
        `getHyperlinkParameters` in interface `JRHyperlink`
      Returns:
        the list of hyperlink parameters

    - #### getHyperlinkParametersList

          public java.util.List<JRHyperlinkParameter> getHyperlinkParametersList()

      Returns the list of custom hyperlink parameters.
      Returns:
        the list of custom hyperlink parameters

    - #### addHyperlinkParameter

          public void addHyperlinkParameter(JRHyperlinkParameter parameter)

      Adds a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to add

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(JRHyperlinkParameter parameter)

      Removes a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to remove

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(java.lang.String parameterName)

      Removes a custom hyperlink parameter.

      If multiple parameters having the specified name exist, all of them will be removed

      Parameters:
        `parameterName` - the parameter name

    - #### getHyperlinkTooltipExpression

          public JRExpression getHyperlinkTooltipExpression()

      Description copied from interface: `JRHyperlink`
      Returns the expression which will generate the hyperlink tooltip.
      Specified by:
        `getHyperlinkTooltipExpression` in interface `JRHyperlink`
      Returns:
        the expression which will generate the hyperlink tooltip

    - #### setHyperlinkTooltipExpression

          public void setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)

      Sets the expression which will be used to generate the hyperlink tooltip.
      Parameters:
        `hyperlinkTooltipExpression` - the expression which will be used to generate the hyperlink tooltip
      See Also:
        `getHyperlinkTooltipExpression()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignGraphicElement`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com